<template>
	<div>
		<div v-for="(item,index) in baseInfo" :key="index">
			<div>
				{{item.title+'：'}}
				<span>{{item.list}}</span>
				<!-- <span v-for="(v) in item.list" :key="v">{{v+','}}</span> -->
			</div>
		</div>
	</div>
</template>
<script lang="ts">
	import { Component, Prop, Vue, Watch, Mixins } from "vue-property-decorator";
	@Component
	export default class Material extends Vue {
		@Prop()
		propValue : any
		baseInfo : any = []
		created() {
			this.baseInfo = JSON.parse(this.propValue)
			this.baseInfo.map((v : any) => {
				let str:any = ''
				v.list.map((e : any) => {
					str += e + ','
				})
				v.list = str.slice(0, -1)
			})
		}
	}
</script>

<style>
</style>